List Charging Windows
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/charging-windows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/charging-windows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/charging-windows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chargingWindows": [
{
"startHour": 123,
"startMinute": 123,
"endHour": 123,
"endMinute": 123,
"daysOfWeek": [
"MONDAY"
],
"localTimeOffset": 123,
"windowLocation": {
"longitude": 123,
"latitude": 123
}
}
]
}Vehicle Charging Schedule
List Charging Windows
Retrieve a list of charging windows for the provided vehicle.
Charging windows determine the start and stop times for the vehicle to charge, for example so that the vehicle can be set to charge during electricity off-peak times.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
charging-windows
List Charging Windows
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes

